summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2019-12-12 17:14:28 +0100
committerChristian Grothoff <christian@grothoff.org>2019-12-12 17:14:28 +0100
commitdce1bedcf716fb84ac541a8b7316e692e52f9fc9 (patch)
tree2611fe2535d1628d4e85ce5db56336bb56857d0a
parentbd518bdba264f3d5c489c83978de120be7444139 (diff)
need patience for http download
-rwxr-xr-xsrc/gns/test_plugin_rest_gns.sh11
1 files changed, 8 insertions, 3 deletions
diff --git a/src/gns/test_plugin_rest_gns.sh b/src/gns/test_plugin_rest_gns.sh
index 1412f8753..25c39f135 100755
--- a/src/gns/test_plugin_rest_gns.sh
+++ b/src/gns/test_plugin_rest_gns.sh
@@ -22,15 +22,20 @@ curl_get () {
#$1 is link
#$2 is grep
XURL=`which gnurl || which curl`
- echo "Using $XURL to download $1"
+ if [ "" = "$XURL" ]
+ then
+ echo "HTTP client (curl/gnurl) not found, exiting"
+ exit 77
+ fi
+ sleep 0.5
cache="$(${XURL} -v "$1" 2>&1 | grep "$2")"
#echo "$cache"
if [ "" = "$cache" ]
then
gnunet-identity -D "$TEST_TLD" -c test_gns_lookup.conf > /dev/null 2>&1
gnunet-arm -e -c test_gns_lookup.conf
- echo "HTTP client (curl/gnurl) not found, exiting"
- exit 77
+ echo "Download of $1 using $XURL failed"
+ exit 1
fi
}
TEST_TLD="testtld"